| OpenMS 2.5.0

Digestor

Digests a protein database in-silico.

pot. predecessor tools | Digestor | pot. successor tools
none (FASTA input) | IDFilter (peptide blacklist)

This application is used to digest a protein database to get all peptides given a cleavage enzyme.

The output can be used e.g. as a blacklist filter input to IDFilter, to remove certain peptides.

Note
  Currently mzIdentML (mzid) is not directly supported as an input/output format of this tool. Convert mzid files to/from idXML using IDFileConverter if necessary.

The command line parameters of this tool are:

    Digestor -- Digests a protein database in-silico.

    Full documentation: http://www.openms.de/documentation/UTILS_Digestor.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      Digestor <options>

    Options (mandatory options marked with '*'):

      -in <file>*                  Input file (valid formats: 'fasta')

      -out <file>*                 Output file (peptides) (valid formats: 'idXML', 'fasta')

      -out_type <type>             Set this if you cannot control the filename of 'out', e.g., in TOPPAS. (valid:

                                   'idXML', 'fasta')

      -missed_cleavages <number>   The number of allowed missed cleavages (default: '1' min: '0')

      -min_length <number>         Minimum length of peptide (default: '6')

      -max_length <number>         Maximum length of peptide (default: '40')

      -enzyme <string>             The type of digestion enzyme (default: 'Trypsin' valid: 'Asp-N/B', 'Asp-N_ambi

                                   c', 'Arg-C/P', 'Arg-C', 'Asp-N', 'Trypsin', 'cyanogen-bromide', 'PepsinA',

                                   'no cleavage', 'Chymotrypsin', 'Lys-N', 'TrypChymo', 'V8-E', 'glutamyl endopep

                                   tidase', '2-iodobenzoate', 'iodosobenzoate', 'Formic_acid', 'Glu-C+P', 'prolin

                                   e-endopeptidase/HKR', 'Lys-C', 'Lys-C/P', 'proline endopeptidase', 'Chymotryps

                                   in/P', 'Trypsin/P', 'staphylococcal protease/D', 'PepsinA + P', 'CNBr', 'leuko

                                   cyte elastase', 'V8-DE', 'Alpha-lytic protease', 'Clostripain/P', 'elastase-tr

                                   ypsin-chymotrypsin', 'unspecific cleavage')

    Options for FASTA output files:

      -FASTA:ID <option>           Identifier to use for each peptide: copy from parent protein (parent); a conse

                                   cutive number (number); parent ID + consecutive number (both) (default: 'paren

                                   t' valid: 'parent', 'number', 'both')

      -FASTA:description <option>  Keep or remove the (possibly lengthy) FASTA header description. Keeping it

                                   can increase resulting FASTA file significantly. (default: 'remove' valid:

                                   'remove', 'keep')

    Common UTIL options:

      -ini <file>                  Use the given TOPP INI file

      -threads <n>                 Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>            Writes the default configuration file

      --help                       Shows options

      --helphelp                   Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+Digestor Digests a protein database in-silico.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'Digestor'
in input file input file*.fasta
out Output file (peptides)output file*.idXML,*.fasta
out_type Set this if you cannot control the filename of 'out', e.g., in TOPPAS.idXML,fasta
missed_cleavages 1 The number of allowed missed cleavages 0:∞
min_length 6 Minimum length of peptide
max_length 40 Maximum length of peptide
enzyme Trypsin The type of digestion enzyme Arg-C/P,Asp-N/B,Arg-C,Asp-N_ambic,Asp-N,Chymotrypsin,Chymotrypsin/P,Trypsin,iodosobenzoate,Glu-C+P,V8-DE,glutamyl endopeptidase,staphylococcal protease/D,no cleavage,2-iodobenzoate,CNBr,proline endopeptidase,Clostripain/P,Formic_acid,Lys-N,PepsinA,Trypsin/P,Lys-C,V8-E,proline-endopeptidase/HKR,leukocyte elastase,TrypChymo,Lys-C/P,Alpha-lytic protease,cyanogen-bromide,elastase-trypsin-chymotrypsin,PepsinA + P,unspecific cleavage
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false
+++FASTA Options for FASTA output files
ID parent Identifier to use for each peptide: copy from parent protein (parent); a consecutive number (number); parent ID + consecutive number (both)parent,number,both
description remove Keep or remove the (possibly lengthy) FASTA header description. Keeping it can increase resulting FASTA file significantly.remove,keep